.image-with-info .icon_image_wrapper {
    margin: 0 auto;
    width: fit-content;
}

.image-with-info .icon-with-text {
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(3, 1fr);
    margin-top: 40px;
}

.image-with-info .icon-with-text-block {
    background: var(--bg-color);
    padding: 10px;
    transition: all 0.7s;
}

.image-with-info .icon-with-text .icon-with-text-block:nth-child(2),
.image-with-info .icon-with-text .icon-with-text-block:nth-child(3) {
    transform: translateX(-30%);
    opacity: 0;
    transition: all 0.7s;
}

.image-with-info .icon-with-text .icon-with-text-block:nth-child(3) {
    transform: translateX(-80%);
}

.image-with-info.is-animated .icon-with-text .icon-with-text-block:nth-child(2),
.image-with-info.is-animated .icon-with-text .icon-with-text-block:nth-child(3) {
    transform: translateX(0);
    opacity: 1;
    transition: all 0.7s;
}

.image-with-info .icon_image_wrapper img {
    width: auto;
    height: 100%;
    display: block;
    max-height: 55px;
    object-fit: contain;
}

.image-with-info .icon-with-text-block p {
    margin: 0;
    font-size: 18px;
    text-align: center;
    margin-top: 22px;
    line-height: 1.2;
}

.image-with-info .image-with-text__info,
.image-with-info .image-with-text__img-wrap {
    transition: all 0.5s;
    transform: translateY(50px);
    opacity: 0;
}

.image-with-info.is-animated .image-with-text__info,
.image-with-info.is-animated .image-with-text__img-wrap {
    transition: all 0.5s;
    transform: translateY(0);
    opacity: 1;
}

.image-with-info .img-w-medium .image-with-text__info-wrap {
    flex: 1.2;
}

@media (min-width:1280px) {
    .image-with-info .pos-left .image-with-text__info {
        padding-left: 72px;
        padding-right: 45px;
    }

    .image-with-info .image-with-text__title--size-large {
        font-size: 44px;
    }

    .image-with-info .icon-with-text-block {
        padding: 30px;
    }

    .image-with-info .pos-right .image-with-text__content {
        max-width: 650px;
    }

    .image-with-info .pos-right .image-with-text__info {
        padding-left: 0;
    }
}

@media(max-width: 1024px) {
    .image-with-info .icon-with-text {
        margin-top: 20px;
    }
}

@media (max-width:749px) {
    .image-with-info .icon-with-text-block {
        padding: 20px 10px;
    }

    .image-with-info .pos-left .image-with-text__info {
        padding-left: 0;
        padding-right: 0;
    }

    .image-with-info .image-with-text__content * {
        font-size: 16px !important;
    }

    .image-with-info .image-with-text__title--size-large {
        font-size: 28px;
    }

    .image-with-info .image-with-text__title {
        margin-bottom: 10px !important;
    }

    .image-with-info .image-with-text__content {
        margin-top: 10px;
    }

    .image-with-info .icon-with-text {
        margin-top: 22px;
    }

    .image-with-info .icon_image_wrapper img {
        max-height: 40px;
    }

    .image-with-info .icon-with-text-block p {
        font-size: 12px;
        margin-top: 12px;
    }

    .icon-with-text-block {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .image-with-info .pos-right .image-with-text__info {
        padding-left: 0;
        padding-right: 0;
    }

    .image-with-info .icon_image_wrapper img {
        max-height: 30px;
    }
}